/**
 * @file
 * Initialises the Chathive chatbot widget.
 */

(function (Drupal, drupalSettings, once) {

  'use strict';

  /**
   * Attaches the chathive initialisation behaviour.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Actually attaches the Chathive chatbot initialisation.
   */
  Drupal.behaviors.initialiseChathive = {
    attach: function (context, settings) {
      if (once('chathive-init', 'html').length) {
        Object.entries(settings.chathive.instances).forEach(entry => {
          const [id, settings] = entry;
          Chathive.widget.init({ apiKey: settings.apiKey, language: settings.langcode });
        });
      }
    }
  };

})(Drupal, drupalSettings, once);
